Price history over a time range
curl --request GET \
--url https://api.vatic.trading/api/v1/history/rangeimport requests
url = "https://api.vatic.trading/api/v1/history/range"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.vatic.trading/api/v1/history/range', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"now": "2025-04-07T12:00:00.000Z",
"asset": "btc",
"marketType": "5min",
"provider": "chainlink",
"requested": {
"start": 1744012800,
"end": 1744027500,
"start_iso": "2025-04-07T00:00:00.000Z",
"end_iso": "2025-04-07T04:05:00.000Z"
},
"count": 49,
"history": [
{
"timestamp_start": 1744012800,
"price": 82100,
"source": "chainlink"
}
]
}History & Timeseries
Range History
Returns an array of target price datapoints for all market windows between start and end. Max range: 90 days. Max points: 1,000. Also available at /api/v1/timeseries/range.
GET
/
api
/
v1
/
history
/
range
Price history over a time range
Query Parameters
Available options:
btc, eth, sol, xrp, hype, doge, bnb Available options:
5min, 15min, 1hour, 4hour, daily Range start as Unix timestamp.
Range end as Unix timestamp.
Response
Array of price datapoints
Was this page helpful?
⌘I